Bug 100429 - GTK3: Symbols in dropdown list are not visible
Summary: GTK3: Symbols in dropdown list are not visible
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.2.0.0.beta2
Hardware: All All
: high major
Assignee: Caolán McNamara
QA Contact:
URL:
Whiteboard: target:5.3.0 target:5.2.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-16 14:48 UTC by Jean-Baptiste Faure
Modified: 2016-10-25 18:54 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Baptiste Faure 2016-06-16 14:48:22 UTC
Steps to reproduce:
1/ In Calc create some XY chart with one serie
2/ double click on the created chart and right click on the data serie
3/ in the contextual menu choose Format Data Series...
4/ in the dialog box choose the Line tab
5/ in the dropdown list under Icon select the Symbols item

Expected result: you get a list of symbols
Current behavior: the symbols are not visible in the list. Each symbol is available and can be selected, but is not visible.

Symbols are visible if I use the GTK vclplugin instead of GTK3.

Version: 5.2.0.0.beta2+
Build ID: be42adb962f9bf66f353d16dadc984d265bf3560
CPU Threads: 4; OS Version: Linux 4.4; UI Render: default; 
Ubuntu_16.04_x86-64
Locale: fr-FR (fr_FR.UTF-8)

Best regards. JBF
Comment 1 Maxim Monastirsky 2016-06-16 15:14:51 UTC
Right. The gtk3 menu implementation doesn't support images right now.
Comment 2 Commit Notification 2016-06-19 16:23:56 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1409b974003ca69e4682507f5d34c55f346b864a

Resolve: tdf#100429 gtk3: set custom icons in native gtk menus

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2016-06-20 08:07:58 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=497cb8bd5b4fa58ce01abb5359e894ae810c412d&h=libreoffice-5-2

Resolve: tdf#100429 gtk3: set custom icons in native gtk menus

It will be available in 5.2.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.